% unoptimized_create_queries_data = Query.unoptimized_create_queries_data(queries)
% if unoptimized_create_queries_data.present?
<summary> :warning: <%= column_ordering_title %></summary>

<i>Ordering columns efficiently (as in below tables) will help us save more space, further details can be found <a href="<%= reference_url %>">here</a>.</i>

% unoptimized_create_queries_data.each do |query, new_table|
% unless new_table.column_order_optimized?

<pre> <%= query.formatted_query %> </pre>

| Column name | Data Type |
| ----------- | --------- |
% new_table.optimize_column_order.each do |column|
| <%= column[0] %> | <%= column[1] %> |
% end
% end
% end
% end
